package net.wanji.utc.hisense.common.constants;

/**
 * @ClassName HttpConstants
 * @Description 海信Http请求需要的常量
 * @Author zhouleilei
 * @Date 2024/11/3 16:47
 */
@SuppressWarnings("all")
public class HttpConstants {
    //MESSAGETYPE
    public static final String MESSAGETYPE = "messageType";
    // /systemScription
    public static final String SYSTEMSCRIPTION = "/systemScription";
    //  systemScription/messageContent
    public static final String SYSTEMSCRIPTION_MESSAGECONTENT = "/systemScription/messageContent";
    //  /systemScription/result
    public static final String SYSTEMSCRIPTION_RESULT = "/systemScription/result";
    //Spot
    public static final String SPOT = "Spot";
    //Pattern
    public static final String PATTERN = "Pattern";
    //Cycle
    public static final String CYCLE = "Cycle";
    //Offset
    public static final String OFFSET = "Offset";
    //Command   控制命令。1 -开始步进，0 -取消步进
    public static final String COMMAND = "Command";
    //Type
    public static final String TYPE = "Type";
    //CtrlStep  步进幅度。0 -表示顺序步进（仅支持顺序步进）
    public static final String CTRLSTEP = "CtrlStep";
    //Split
    public static final String SPLIT = "Split";
    //5.7协调状态 获取方案号
    public static final String MESSAGETYPE_12 = "12";
    //5.4. 联机状态
    public static final String MESSAGETYPE_3 = "3";
    //5.16. 方案优化控制 - 设置临时方案
    public static final String MESSAGETYPE_39 = "39";
    //5.10. 手动方案控制- 恢复固定配时
    public static final String MESSAGETYPE_16 = "16";
    //5.15. 方案环图请求-根据方案号获取配时方案环图
    public static final String MESSAGETYPE_30 = "30";
    //5.12. 步进及取消控制
    public static final String MESSAGETYPE_22 = "22";
    // result = 0 指令下发失败
    public static final String RESULT_0 = "0";
    // result = 1 指令下发成功
    public static final String RESULT_1 = "1";
    // result = 2 指令执行成功
    public static final String RESULT_2 = "2";
    // result = 3 指令执行失败
    public static final String RESULT_3 = "3";

    /** 关灯251 */
    public static final String CLOSED_LIGHT_CONTROL = "251";
    /** 全红252 */
    public static final String ALL_RED_CONTROL = "252";
    /** 方案选择控制253 */
    public static final String SCHEME_SELECT_CONTROL = "253";
    /** FREE控制-感应控制-半感应控制254 */
    public static final String FREE_CONTROL = "254";
    /** 黄闪255 */
    public static final String YELLOW_CONTROL = "255";

}
